<?php
namespace Claromentis\Comments\Tests;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_a313073bba42f3bc3bdd3d5c87cdb8b" . "e" => base64_decode("R2V" . "0"), "comment" . "s" => base64_decode("Y29tbW" . "VudHM="), "_31aba1e5c" . "29106f7c5b" . "d79dad886a" . "dde" => base64_decode("b2Zmc" . "2V0R2" . "V0"));
use Claromentis\Comments\CommentsRepository;
use Claromentis\Comments\Controller\PermalinkController;
use Claromentis\Core\Application;
use Claromentis\Core\Localization\Lmsg;
use Claromentis\Core\Repository\Exception\NotFoundException;
use PHPUnit\Framework\TestCase;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
class PermalinkControllerTest extends TestCase
{
    public function testShowingNonexistentThread()
    {
        $lmsg = $this->createMock(Lmsg::class);
        $_d2c43bb68c7967ec126410ea8c683e9d = new PermalinkController($lmsg);
        $app = $this->createMock(Application::class);
        $request = $this->createMock(ServerRequestInterface::class);
        $thread_id = 42069;
        $repo = $this->createMock(CommentsRepository::class);
        $_101c90a4d490f327cde8248984858329 = new NotFoundException();
        $repo->method($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a313073bba42f3bc3bdd3d5c87cdb8b" . "e"])->with($thread_id)->willThrowException($_101c90a4d490f327cde8248984858329);
        $app->method($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_31aba1e5c29106" . "f7c5bd79dad886a" . "dde"])->with($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["co" . "mm" . "en" . "ts"])->willReturn($repo);
        $this->expectException(NotFoundHttpException::class);
        $_d2c43bb68c7967ec126410ea8c683e9d->ShowThread($app, $request, $thread_id);
    }
}